#
# spec file for package tree-sitter-json
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name json
Summary:        Json grammar for tree-sitter
Name:           tree-sitter-%{_name}
Version:        0.20.2
Release:        1.1
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/tree-sitter/tree-sitter-json
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

%files
%{treesitter_files}

%changelog
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.2:
  * chore: bump deps
  * fix: only allow strings in object keys
  * chore: move corpus under test
  * chore: add repository definition in package.json
  * ci: fix windows
  * ci: update CI action, add lint and publish actions
  * chore: update manifests
  * feat: add and apply eslint formatting
